test: _NTDDK_ERESOURCE struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _NTDDK_ERESOURCE Struct Reference

`#include <ex.h>`

List of all members.

## Public Attributes

LIST_ENTRY | SystemResourcesList
PERESOURCE_THREAD | OwnerThreads
PUCHAR | OwnerCounts
USHORT | TableSize
USHORT | ActiveCount
USHORT | Flag
USHORT | TableRover
UCHAR | InitialOwnerCounts [4]
ERESOURCE_THREAD | InitialOwnerThreads [4]
ULONG | Spare1
ULONG | ContentionCount
USHORT | NumberOfExclusiveWaiters
USHORT | NumberOfSharedWaiters
KSEMAPHORE | SharedWaiters
KEVENT | ExclusiveWaiters
KSPIN_LOCK | SpinLock
USHORT | CreatorBackTraceIndex
USHORT | Spare2

## Member Data Documentation

USHORT _NTDDK_ERESOURCE::ActiveCount

| Definition at line 2520 of file ex.h. Referenced by ExQuerySystemLockInformation().

ULONG _NTDDK_ERESOURCE::ContentionCount

| Definition at line 2541 of file ex.h. Referenced by ExQuerySystemLockInformation().

USHORT _NTDDK_ERESOURCE::CreatorBackTraceIndex

| Definition at line 2551 of file ex.h. Referenced by ExQuerySystemLockInformation().

KEVENT _NTDDK_ERESOURCE::ExclusiveWaiters

| Definition at line 2547 of file ex.h.

USHORT _NTDDK_ERESOURCE::Flag

| Definition at line 2522 of file ex.h.

UCHAR _NTDDK_ERESOURCE::InitialOwnerCounts[4]

| Definition at line 2530 of file ex.h.

ERESOURCE_THREAD _NTDDK_ERESOURCE::InitialOwnerThreads[4]

| Definition at line 2531 of file ex.h. Referenced by ExQuerySystemLockInformation().

USHORT _NTDDK_ERESOURCE::NumberOfExclusiveWaiters

| Definition at line 2543 of file ex.h. Referenced by ExQuerySystemLockInformation().

USHORT _NTDDK_ERESOURCE::NumberOfSharedWaiters

| Definition at line 2544 of file ex.h. Referenced by ExQuerySystemLockInformation().

PUCHAR _NTDDK_ERESOURCE::OwnerCounts

| Definition at line 2517 of file ex.h.

PERESOURCE_THREAD _NTDDK_ERESOURCE::OwnerThreads

| Definition at line 2516 of file ex.h. Referenced by ExQuerySystemLockInformation().

KSEMAPHORE _NTDDK_ERESOURCE::SharedWaiters

| Definition at line 2546 of file ex.h.

ULONG _NTDDK_ERESOURCE::Spare1

| Definition at line 2533 of file ex.h.

USHORT _NTDDK_ERESOURCE::Spare2

| Definition at line 2552 of file ex.h.

KSPIN_LOCK _NTDDK_ERESOURCE::SpinLock

| Definition at line 2549 of file ex.h.

LIST_ENTRY _NTDDK_ERESOURCE::SystemResourcesList

| Definition at line 2509 of file ex.h.

USHORT _NTDDK_ERESOURCE::TableRover

| Definition at line 2523 of file ex.h.

USHORT _NTDDK_ERESOURCE::TableSize

| Definition at line 2519 of file ex.h.

The documentation for this struct was generated from the following file:

- ex.h